import { DEFAULT_ERRORS, DefaultErrorMessages } from './default-error-messages';
import { MatErrorMessagesDirective } from './mat-error-messages.directive';
import { NgModule } from '@angular/core';
export class MatErrorMessagesModule {
    static withDefaultErrors(errors) {
        return {
            ngModule: MatErrorMessagesModule,
            providers: [{
                    provide: DEFAULT_ERRORS,
                    useValue: errors
                }]
        };
    }
}
MatErrorMessagesModule.decorators = [
    { type: NgModule, args: [{
                declarations: [MatErrorMessagesDirective],
                exports: [MatErrorMessagesDirective],
                providers: [{
                        provide: DEFAULT_ERRORS,
                        useValue: DefaultErrorMessages
                    }]
            },] },
];
/** @nocollapse */
MatErrorMessagesModule.ctorParameters = () => [];
//# sourceMappingURL=mat-error-messages.module.js.map